ketai.net.nfc.record

## Class UriRecord

- java.lang.Object
- - ketai.net.nfc.record.UriRecord

- All Implemented Interfaces:
    ParsedNdefRecord

      public class UriRecord
      extends java.lang.Object
      implements ParsedNdefRecord

  A parsed record containing a Uri.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `RECORD_TYPE` The Constant RECORD_TYPE.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getTag()` Returns the tag.
    `android.net.Uri` | `getUri()` Gets the uri.
    `static boolean` | `isUri(android.nfc.NdefRecord record)` Checks if is uri.
    `static UriRecord` | `parse(android.nfc.NdefRecord record)` Convert `NdefRecord` into a `Uri`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RECORD_TYPE

          public static final java.lang.String RECORD_TYPE

      The Constant RECORD_TYPE.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getUri

          public android.net.Uri getUri()

      Gets the uri.
      Returns:
        the uri

    - #### parse

          public static UriRecord parse(android.nfc.NdefRecord record)

      Convert `NdefRecord` into a `Uri`. This will handle both TNF_WELL_KNOWN / RTD_URI and TNF_ABSOLUTE_URI.
      Parameters:
        `record` - the record
      Returns:
        the uri record

    - #### isUri

          public static boolean isUri(android.nfc.NdefRecord record)

      Checks if is uri.
      Parameters:
        `record` - the record
      Returns:
        true, if is uri

    - #### getTag

          public java.lang.String getTag()

      Description copied from interface: `ParsedNdefRecord`
      Returns the tag.
      Specified by:
        `getTag` in interface `ParsedNdefRecord`
      Returns:
        the tag